Subject: Re: [PATCH v3] powerpc: Implement logging of unhandled signals

From: Olof Johansson <[email-masked]>
Date: Thu, 11 Oct 2007 19:38:10 -0500

On Fri, Oct 12, 2007 at 10:21:09AM +1000, Benjamin Herrenschmidt wrote:
> 
> On Thu, 2007-10-11 at 19:20 -0500, Olof Johansson wrote:
> > Implement show_unhandled_signals sysctl + support to print when a process
> > is killed due to unhandled signals just as i386 and x86_64 does.
> > 
> > Default to having it off, unlike x86 that defaults on.
> 
> Why ? I'd like it on by default :-)

Paulus mentioned on IRC that he preferred it that way. I'll leave it up
to the two of you to argue it out. I'd prefer on by default but I don't
really care all that much as long as I can enable it with bootargs.

-Olof